Bug 1118542 - Rendering of Gurmukhi Script broken in QT (KDE application)
Summary: Rendering of Gurmukhi Script broken in QT (KDE application)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-gurmukhi-fonts
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 02:53 UTC by A S Alam
Modified: 2015-04-01 10:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-01 10:26:38 UTC


Attachments (Terms of Use)
Screenshot for Kate and Gedit (32.00 KB, image/png)
2014-07-11 02:53 UTC, A S Alam
no flags Details
Image showing proper rendering of Gurmukhi text in F22 (77.21 KB, image/png)
2015-04-01 10:25 UTC, Pravin Satpute
no flags Details

Description A S Alam 2014-07-11 02:53:19 UTC
Created attachment 917237 [details]
Screenshot for Kate and Gedit

Description of problem:
While Testing Fedora 21,Rendering Broken with latest Lohit Gurmukhi fonts in KDE Applications (Only), while gnome/firefox is working as expected.

Version-Release number of selected component (if applicable):
qt-4.8.6-9.fc21.x86_64
harfbuzz-0.9.29-2.fc21.x86_64
gedit-3.13.2-1.fc21.x86_64
kate-4.13.2-2.fc21.x86_64
lohit-gurmukhi-fonts-2.91.0-3.fc21.noarch


How reproducible:
Every-time

Steps to Reproduce:
1. Copy paste Test Case (ਕ੍ਰ) in gedit & kwrite
2. Both Renderings are different
3.

Actual results:
Rendering of text in GTK/QT are Different

Expected results:
GTK has correct rendering


Additional info:
default Punjabi fonts available in Fedora 21 are broken for KDE applications (including lokalize)

Test Case
---
ਕ+ ੍ + ਹ = ਕ੍ਹ
ਕ+ ੍ +ਰ - ਕ੍ਰ
ਕ+ ੍ +ਵ = ਕ੍ਵ
----

Comment 1 Pravin Satpute 2014-07-11 08:54:29 UTC
I am noticing number of issues against KDE including Telugu and Oriya too.

Need to check whether they are using harfbuzz properly or not.

Comment 2 Pravin Satpute 2015-04-01 10:25:37 UTC
Created attachment 1009611 [details]
Image showing proper rendering of Gurmukhi text in F22

Tested this in Fedora 22 and its working fine now. Dont see latest version will get added in F21.

Comment 3 Pravin Satpute 2015-04-01 10:26:38 UTC
closing as next release. Feel free to reopen if any problem.

Between will be nice if you can test f22 and update results on https://fedoraproject.org/wiki/Test_Day:2015-03-19_i18n


Note You need to log in before you can comment on or make changes to this bug.